Bug 25449 - Отсутсвует корректный файл описания банка инструментов для deadbeef
: Отсутсвует корректный файл описания банка инструментов для deadbeef
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/TiMidity++)
: unstable
: all Linux
: P3 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2011-04-15 17:24 by
Modified: 2011-04-17 17:33 (History)


Attachments
freeparts.cfg выдраный из Debian (4.55 KB, text/plain)
2011-04-16 08:56, Serg
no flags Details
Еще один freepats.cfg от другого разработчика (4.55 KB, text/plain)
2011-04-16 09:46, Serg
no flags Details
файл .cfg для wildmidi player (deadbeef) (4.01 KB, text/plain)
2011-04-17 15:55, Serg
no flags Details
исправленный файл .cfg для wildmidi player (deadbeef) (4.00 KB, text/plain)
2011-04-17 16:19, Serg
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-04-15 17:24:49
WildMidi plugin в DeaDBeeF завязан на конфигурационный файл пакета Timidity под
названием freeparts.cfg, который в настоящее время отсутсвует в Sisiphus. В
данный момент этот плагин в проигрывателе бесполезен.
------- Comment #1 From 2011-04-15 20:59:57 -------
Добавление. ALT Centaurus поставил второй системой, первая - Debian. Тут все
работает. Пробовал один из конфигов банков в Альте подсунуть - звука нет,
seekbar показывает, что воспроизведение идет (следовательно, все необходимые
пакеты для плагина установлены).
------- Comment #2 From 2011-04-15 23:13:27 -------
Вас не затруднит чуть точнее описать желаемую конфигурацию?
"Как в Debian" -- понял, но боюсь, что это в долгий ящик.

Например, приложите недостающий файл сюда и укажите точный путь.

Также покажите на всякий rpm -qa | grep -i timidity
------- Comment #3 From 2011-04-16 08:56:09 -------
Created an attachment (id=4890) [details]
freeparts.cfg выдраный из Debian
------- Comment #4 From 2011-04-16 09:11:32 -------
/etc/timidity/timidity.cfg это путь по умолчанию. Просто насколько я помню со
слов waker (автора deadbeef), плагину нужен банк инструментов freeparts и файл
с описанием настроек банка.
------- Comment #5 From 2011-04-16 09:12:47 -------
[root@alt ~]# rpm -qa | grep -i timidity
timidity-instruments-1.0-alt1
libtimidity-0.1.0-alt3
TiMidity++-2.13.2-alt13
[root@alt ~]#
------- Comment #6 From 2011-04-16 09:32:13 -------
Ошибочка вышла. Название банка инструментов - freepats (без r). Узнал у других
учатсвующих в разработке, что достаточно банка freepats и файла с описанием
банка
freepats.cfg находящемуся по пути /etc/timidity/freepats.cfg
------- Comment #7 From 2011-04-16 09:41:46 -------
Собственно, сам сайт этого банка инструментов http://freepats.zenvoid.org/
------- Comment #8 From 2011-04-16 09:46:10 -------
Created an attachment (id=4891) [details]
Еще один freepats.cfg от другого разработчика
------- Comment #9 From 2011-04-16 13:44:24 -------
Лечиться простым копированием папки freepats с указанного сайта в папку
/usr/share/midi и копированием файла freepats.cfg в /etc/timidity/freepats.cfg.
В начале конфигурационного файла обязательно должна быть строчка:

dir /usr/share/midi/freeparts

Проверено в ALT Linux Centaurus beta
------- Comment #10 From 2011-04-16 20:53:47 -------
Во, это дело :-)  Спасибо!
------- Comment #11 From 2011-04-16 21:29:59 -------
Придется, наверное, еще одну зависимость для deadbeef'а оформлять :)
------- Comment #12 From 2011-04-16 22:37:27 -------
(в сторону: и чем автора плагина не устроили более полные timidity-eaw-patches
всё того же Эрика Уэлша...)
------- Comment #13 From 2011-04-16 22:42:25 -------
Просьба поставить и проверить:
http://fly.osdn.org.ua/~mike/RPM/RPMS/noarch/timidity-freepats-20060219-alt1.noarch.rpm

Вопрос насчёт /etc/timidity/freepats.cfg: у нас конфигурация патчей исторически
живёт в /usr/share/timidity, и хотя резон перетащить в /etc может быть -- мне
сейчас довольно неудобно проверять, что именно сломается (а ломать не хотелось
бы ничего).  /usr/share/timidity/freepats.cfg устроит или категорически нет?
------- Comment #14 From 2011-04-16 23:03:09 -------
Можно оставить там, где оно у вас живет, но сделать символическую ссылку в
каталог /etc/freepats.cfg. Думаю, этого будет достаточно. А чем автора не
устроили эти пачти, думаю лучше спросить лично у него.
------- Comment #15 From 2011-04-16 23:04:22 -------
Автор пошел навстречу дистростроителям и вот полный список путей, где ищется
файл конфигурации
/etc/timidity++/timidity-freepats.cfg:/etc/timidity/freepats.cfg:/etc/timidity/freepats/freepats.cfg
------- Comment #16 From 2011-04-16 23:12:53 -------
Вобщем, по большому счету, не имеет значения, где будут лежать банки, главное,
чтобы файл конфигурации был по одному из этих путей и в нембыла директива где
искать собственно сами банки.
------- Comment #17 From 2011-04-16 23:31:28 -------
Можете передать ему просьбу добавить ещё и /usr/share/timidity/freepats.cfg? 
Тогда получится и в предыдущие альтовские бранчи добавить freepats без
перелопачивания timidity и всех остальных наборов патчей, не только в сизиф и
6.0+.

На крайняк буду что-то думать с симлинками, но этого бы хотелось избежать по
той причине, что при перетаскивании _конфигов_ это очень сильно добавить
головняка...

Спасибо!

PS: да, оба приложенных freepats.cfg идентичны -- надеюсь, тоже заметили.
------- Comment #18 From 2011-04-17 00:26:32 -------
Пакет рабочий, но в нем есть ошибка. В файле конфигурации в директиве
определяющией директоию с банком инструментов лишнее упоминание freepats.
должно быть /usr/share/timidity/freepats.
------- Comment #19 From 2011-04-17 14:51:25 -------
Итого, сейчас почти готов файл описания банков инструментов для wildmidi
плагина deadbeef с использованием timidity-eaw-patches. Как только будет готов,
выложу. В этом случае не будет необходимости создавать пакет freepats.
------- Comment #20 From 2011-04-17 15:03:26 -------
Впринципе, файл описания можно создать практически под любой банк. Однако, раз
здесь прозвучал именно eaw-patches, то под него и пишу. Звук кажется лучше
стандартного банка, пока во всяком случае.
------- Comment #21 From 2011-04-17 15:53:48 -------
Выкладываю конфиг. Инструкция по применению: сохраняем файл в удобном месте.
Ставим timidity-eaw-patches. Ставим deadbeef. В настройках wildmidi player
через кнопку обзор выбираем сохраненный файл, применяем изменения, выходим из
deadbeef (на всякий), запускаем deadbeef, пробуем.
Не обладаю большой коллекцией midi файлов, поэтому требуется тестинг.
------- Comment #22 From 2011-04-17 15:55:00 -------
Created an attachment (id=4894) [details]
файл .cfg для wildmidi player (deadbeef)
------- Comment #23 From 2011-04-17 16:19:13 -------
Created an attachment (id=4895) [details]
исправленный файл .cfg для wildmidi player (deadbeef)

поправлен банк ударных (был неполный)
------- Comment #24 From 2011-04-17 16:26:26 -------
(In reply to comment #18)
> Пакет рабочий, но в нем есть ошибка.
Oops, то есть нерабочий... зарапортовался с макроопределениями, спасибо.

Глянете
http://fly.osdn.org.ua/~mike/RPM/RPMS/noarch/timidity-freepats-20060219-alt2.noarch.rpm?
------- Comment #25 From 2011-04-17 17:03:55 -------
(В ответ на комментарий №24)
...
> Глянете
> http://fly.osdn.org.ua/~mike/RPM/RPMS/noarch/timidity-freepats-20060219-alt2.noarch.rpm?

Без проблем.

Михаил, что скажете про вариант без freepats на базе timidity-eaw-patches с
добавлением всего одного конфиг файла ?

PS Провепил пакет - все ок.
------- Comment #26 From 2011-04-17 17:30:38 -------
(In reply to comment #25)
> Михаил, что скажете про вариант без freepats на базе timidity-eaw-patches с
> добавлением всего одного конфиг файла ?
Какого/где?

> PS Провепил пакет - все ок.
Спасибо, отправил в сизиф.
------- Comment #27 From 2011-04-17 17:33:53 -------
timidity-freepats-20060219-alt2 -> sisyphus:

* Sun Apr 17 2011 Michael Shigorin <mike@altlinux> 20060219-alt2
- fixed silly thinko spotted by shadowsbrother/gmail.com

* Sat Apr 16 2011 Michael Shigorin <mike@altlinux> 20060219-alt1
- initial build for ALT Linux Sisyphus (closes: #25449)
  + based on Gentoo, Debian, MeeGo packages to some extent